/* Hero section */

#hero {
    font-family: "Roboto", system-ui, -apple-system, sans-serif;
    
    padding-block: 10rem;
    min-height: 100dvh;

    display: grid;
    align-items: center;

    overflow: clip;
    position: relative;
    isolation: isolate;
}
#hero::after {
    content: "";
    position: absolute;
    inset: 0;

    background: linear-gradient(
        to right,
        hsla(225, 21%, 7%, 0.95),
        hsla(225, 21%, 7%, 0.65)
    );

    z-index: -1;
}
#hero picture.back-gr {
    position: absolute;
    inset: 0;
    z-index: -1;
}
#hero picture.back-gr img {
    min-width: 100%;
    min-height: 100%;
}

#hero .hero-inner {
    display: grid;
    gap: 5rem;
}

#hero .hero-inner h1 {
    max-width: 18ch;

    font-size: 7.2rem;
    line-height: 1.25;
    font-style: italic;
    text-transform: uppercase;
    color: var(--font-col-600);
    margin-bottom: 1.5rem;
}

#hero .hero-inner p {
    max-width: 80ch;

    font-size: 2rem;
    font-weight: 500;
    line-height: 1.5;
    color: var(--font-col-400);

    text-align: justify;
}

#hero .hero-inner ul {
    list-style: none;

    display: flex;
    align-items: center;
    justify-content: start;
    flex-wrap: wrap;
    gap: 2.4rem;
}

#hero .hero-inner ul li {
    padding: 1.6rem;
    width: min(21.5rem, 100%);

    display: grid;
    place-items: center;
    gap: 1rem;

    background-color: #ffffff0d;
    backdrop-filter: blur(5px);

    border: 1px solid var(--border-col);
    border-radius: 6px;
}

#hero .hero-inner ul li svg {
    color: var(--yellow);
}
#hero .hero-inner ul li span {
    font-size: 1.4rem;
    font-weight: 600;
    color: var(--font-col-600);
}

#hero .hero-inner .buttons {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 1.5rem;
}

/* Neon horiz line */

hr.neon-hr {
    --neon-color: var(--yellow);

    margin-inline: auto;

    width: 13.5rem;
    height: 4px;

    background-color: var(--neon-color);
    border: unset;

    background: linear-gradient(
        to right,
        transparent,
        var(--neon-color),
        transparent
    );

    box-shadow: 0 0 3.3rem 0 var(--neon-color);
    margin-bottom: 4rem;
}


/* FULFILLMENT PROCESS */

#foundation {
    padding-block: 8rem;

    display: grid;
    place-items: center;
    gap: 2.4rem;

    background: linear-gradient(
        to right,
        var(--blue5B),
        var(--blue4A)
    );
}
#foundation h2 {
    max-width: min(25ch, 95%);

    font-size: 6rem;
    color: var(--yellow);
    margin-bottom: unset;
}

#foundation ul {
    list-style: none;

    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(36.5rem, 1fr));
    gap: 3.2rem;
}

#foundation ul li {
    padding: 3.2rem;

    display: grid;
    align-content: start;
    gap: 2.4rem;

    background-color: hsla(0, 0%, 100%, 0.1);
    backdrop-filter: blur(12px);
    
    transition: background-color 0.25s cubic-bezier(0.4, 0, 0.2, 1);
    
    box-shadow:
        #0000001a 0px 20px 25px -5px,
        #0000001a 0px 8px 10px -6px;
    
    border: 2px solid hsla(0, 0%, 100%, 0.3);
    border-radius: 1.6rem;

    cursor: default;    
}

#foundation ul li:nth-last-child(1) {
    margin-inline: auto;
    max-width: 102rem;
    grid-column: 1 / -1;

    & p {
        text-align: center;
    }
}

#foundation ul li:hover {
    background-color: hsla(0, 0%, 100%, 0.2);
}

#foundation ul li .strong-ico {
    width: 5.6rem;
    height: 5.6rem;
    background-color: var(--yellow);
}
#foundation ul li .strong-ico svg {
    --d: 3rem;
    color: #000;
}

#foundation ul li p {
    font-size: 1.8rem;
    line-height: 1.625;
    color: var(--font-col-400);
    text-align: justify;
    hyphens: auto;
}


/* Location 1: Kent */

#location-kent h2,
#location-tacoma h2 {
    font-size: 6rem;
}
#location-kent h3,
#location-tacoma h3 {
    font-size: 3.6rem;
    font-style: italic;
    color: var(--font-col-600);
}
#location-kent p,
#location-tacoma p {
    font-size: 2rem;
}

#location-kent ul,
#location-tacoma ul {
    list-style: none;

    --space: 2.4rem;
    padding: calc(1.33 * var(--space));
    
    width: 100%;

    display: grid;
    background: linear-gradient(
        135deg,
        var(--main-col2),
        var(--main-col1)
    );
    border: 2px solid hsla(from var(--yellow) h s l / 0.3);
    border-radius: 1.6rem;
}
#location-kent ul li,
#location-kent ul li h4,
#location-tacoma ul li,
#location-tacoma ul li h4 {
    display: grid;
    gap: 1.2rem;
    & svg {
        color: var(--yellow);
    }
}
#location-kent ul li:nth-child(1),
#location-tacoma ul li:nth-child(1) {
    grid-template-columns: 2.8rem 1fr;

    padding-bottom: var(--space);
    border-bottom: 1px solid var(--border-col);
}
#location-kent ul li:nth-child(2),
#location-tacoma ul li:nth-child(2) {
    padding-top: var(--space);
    grid-template-columns: repeat(3, 1fr);
}

#location-kent ul li h4 small,
#location-tacoma ul li h4 small {
    font-size: 1.4rem;
    font-weight: 500;
    text-transform: uppercase;
    color: var(--font-col-300);
}
#location-kent ul li h4 address,
#location-tacoma ul li h4 address {
    font-size: 2.4rem;
    font-style: normal;
    font-weight: 700;
    color: var(--font-col-600);
}

#location-kent ul li dl,
#location-tacoma ul li dl {
    display: grid;
    place-items: center;
}
#location-kent ul li dl dt,
#location-tacoma ul li dl dt {
    font-size: 3rem;
    font-weight: 700;
    color: var(--yellow);
}
#location-kent ul li dl dd,
#location-tacoma ul li dl dd {
    font-size: 1.4rem;
    color: var(--font-col-300);
}

/* Our Offers */

#our-offers,
#strategic-positioning {
    padding-block: 9rem;

    display: grid;
    place-items: center;
    gap: 2.4rem;
}
#our-offers .neon-box,
#strategic-positioning .neon-box {
    --c: var(--blue5B);
}
#our-offers h2,
#strategic-positioning h2 {
    max-width: min(25ch, 95%);
    
    font-size: 4.8rem;
    color: var(--font-col-600);

    margin-bottom: unset;

    & b {
        color: var(--blue5B);
    }
}

#our-offers ul {
    list-style: none;

    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(40rem, 1fr));
    gap: 2.4rem;

    counter-reset: index;
}

#our-offers ul li,
#strategic-positioning ul li {
    --padding: 2.4rem;

    padding: var(--padding);

    display: grid;
    grid-template-rows: subgrid;
    grid-row: span 3;
    gap: 1.6rem;

    background: linear-gradient(
        135deg,
        var(--main-col2),
        var(--main-col1)
    );
    border: 1px solid var(--border-col);
    border-radius: 1.6rem;

    position: relative;
    isolation: isolate;

    overflow: hidden;

    cursor: default;
    counter-increment: index;
}
#our-offers ul li::before,
#strategic-positioning ul li::before {
    content: "";

    position: absolute;
    top: 0; right: 0;
    width: 12.8rem;
    aspect-ratio: 1;

    transform: translate(50%, -50%);
    transition: transform 0.5s ease-in-out;

    background-color: hsla(from var(--yellow) h s l / 0.1);
    border-radius: 50%;
    z-index: -1;
}
#our-offers ul li::after {
    content: counter(index);

    position: absolute;
    top: var(--padding); right: var(--padding);
    width: 3.2rem; aspect-ratio: 1;

    font-size: 1.2rem;
    font-weight: 700;
    color: #fff;

    display: flex;
    align-items: center;
    justify-content: center;

    background-color: var(--blue4A);
    border-radius: 50%;
    z-index: 0;
}

#our-offers ul li .strong-ico {
    width: 5.6rem;
    height: 5.6rem;
    background-color: var(--yellow);
}
#our-offers ul li .strong-ico svg {
    width: 3.2rem;
    height: 3.2rem;
    color: #000;
}

#our-offers ul li h3 {
    font-size: 1.8rem;
    font-style: italic;
    color: var(--font-col-600);
    text-wrap: balance;
}

#our-offers ul li:is(:hover, :focus-within),
#strategic-positioning ul li:is(:hover, :focus-within) {
    box-shadow: 0 0 2px 2px var(--yellow);

    &::before {
        transform: translate(-9px, 9px);
    }
    & .strong-ico {
        scale: 1.1;
    }
}

#our-offers ul li p,
#strategic-positioning ul li p {
    font-size: 1.6rem;
    line-height: 1.65;
    color: var(--font-col-300);
    text-align: justify;
    hyphens: auto;
}


/* Locations */
#location-kent picture,
#location-tacoma picture {
    border: 4px solid var(--border-col);
    & img {
        border: unset;
    }
}

/* Location 2: Tacoma */

#location-tacoma .neon-box {
    max-width: unset;
}
#location-tacoma .card-block {
    margin-inline: auto;
    max-width: 80rem;

    grid-column: span 2;

    background-color: var(--main-col1);
    box-shadow: 5px 4px 2px 0px #161820;
}


/* STRATEGIC POSITIONING */

#strategic-positioning .text {
    font-size: 2rem;
    color: var(--font-col-400);
}

#strategic-positioning ul {
    list-style: none;

    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(2.8rem, 1fr));
    gap: 3.2rem;
}
#strategic-positioning ul li {
    justify-items: center;
    grid-row: span 2;
    gap: 1.2rem;
}
#strategic-positioning ul li h3 {
    font-size: 3rem;
    font-weight: 700;
    color: var(--font-col-600);
    text-transform: uppercase;
    & strong {
        font-size: 7.2rem;
        font-weight: 700;
        color: var(--yellow);
    }
}
#strategic-positioning ul li p {
    text-align: center;
    text-wrap: balance;
}


/* Regional Distribution */

#regional-distribution .-main-box {
    align-items: start;
}
#regional-distribution h2 {
    font-size: 4.8rem;
}
#regional-distribution ul {
    list-style: none;

    width: 100%;
    padding: 3.2rem;

    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1.6rem;

    background-color: var(--main-col1);
    border: 2px solid var(--border-col);
    border-radius: 1.6rem;
}
#regional-distribution ul li {
    display: flex;
    align-items: center;
    gap: 1.2rem;
}
#regional-distribution ul li svg {
    color: var(--yellow);
}
#regional-distribution ul li span {
    font-size: 1.6rem;
    font-weight: 500;
    color: var(--font-col-400);
}
#regional-distribution picture {
    margin-bottom: 5rem;
}
#regional-distribution picture img {
    border-radius: 1.6rem;
}
#regional-distribution .card-block {
    background-color: var(--main-col1);
}


/* NATIONWIDE OTR */

#nationwide-otr .slide-header {
    place-items: unset;
    justify-items: center;
    gap: 2.4rem;
}
#nationwide-otr .neon-box {
    min-width: 25rem;
    max-width: 40rem;
}
#nationwide-otr aside {
    display: grid;
    gap: 3rem;
}
#nationwide-otr picture img {
    border-radius: 1.6rem;
}

#nationwide-otr ul {
    list-style: none;

    width: 100%;

    display: grid;
    gap: 1.6rem;
}
#nationwide-otr ul li {
    padding: 1.5rem;

    display: flex;
    align-items: center;
    gap: 1.2rem;

    background-color: var(--main-col2);
    border: 1px solid var(--border-col);
    border-radius: 1rem;
}
#nationwide-otr ul li svg {
    color: var(--yellow);
}
#nationwide-otr ul li span {
    font-size: 1.8rem;
    color: var(--font-col-400);
}


/* Infrastructure */

#infrastructure {
    padding-block: 8rem;

    display: grid;
    place-items: center;
    gap: 2.4rem;

    background: linear-gradient(
        to right,
        var(--blue5B),
        var(--blue4A)
    );
}
#infrastructure .slide-header {
    place-items: unset;
    justify-items: center;
    gap: 2.4rem;
}
#infrastructure .slide-header h2 {
    font-size: 4.8rem;
    line-height: 1.25;
    text-align: center;
}
#infrastructure .text {
    font-size: 2rem;
    color: var(--font-col-600);
}

#infrastructure ul {
    list-style: none;

    width: 100%;

    display: grid;
    gap: 1.6rem;

}
#infrastructure ul li {
    padding: 1.5rem;

    display: flex;
    align-items: center;
    gap: 1.2rem;

    background-color: #ffffff1a;
    border: 1px solid #ffffff33;

    backdrop-filter: blur(5px);
    
    box-shadow:
        #0000001a 0px 20px 25px -5px,
        #0000001a 0px 8px 10px -6px;

    border-radius: 1rem;
}
#infrastructure ul li svg {
    color: var(--yellow);
}
#infrastructure ul li span {
    font-size: 1.8rem;
    color: var(--font-col-600);
}

#infrastructure .text-card {
    padding: 2.4rem;

    font-size: 1.8rem;
    line-height: 1.625;
    color: var(--font-col-600);

    background-color: #ffffff1a;
    border: 2px solid #ffffff33;

    backdrop-filter: blur(5px);
    
    box-shadow:
        #0000001a 0px 20px 25px -5px,
        #0000001a 0px 8px 10px -6px;

    border-radius: 1rem;
}

#infrastructure .text-card:has(svg) {
    display: flex;
    gap: 1.6rem;

    & svg {
        --d: 32px;

        width: var(--d);
        min-width: var(--d);
        height: var(--d);
        min-height: var(--d);

        color: var(--yellow);
    }
}

#infrastructure h3 {
    font-size: 2.4rem;
    font-style: italic;
    line-height: 1.25;
    text-transform: uppercase;
    color: var(--font-col-600);

    margin-bottom: 2.4rem;
}
#infrastructure ol {
    list-style: none;

    display: grid;
    gap: 1.6rem;
    
    counter-reset: index;
}
#infrastructure ol li {
    display: flex;
    align-items: center;
    gap: 1.6rem;

    font-size: 1.8rem;
    color: var(--font-col-600);
    
    counter-increment: index;
}
#infrastructure ol li::before {
    content: counter(index);
    width: 3.2rem;
    height: 3.2rem;

    display: flex;
    align-items: center;
    justify-content: center;

    font-size: 1.6rem;
    font-weight: 700;
    color: #000;

    background-color: var(--yellow);
    border-radius: 5px;
}


/* Standard BLUE items */
.slide .slide-header.-blue .neon-box,
.slide .slide-header.-blue b {
    --c: var(--blue5B);
    color: var(--blue5B);
}
.slide .slide-header.-main-box {
    grid-template-columns: 1fr;
    place-items: start;
}
.slide .slide-header h2 {
    font-size: 6rem;
    text-align: left;
}


/* CTA Fulfillment */
.slide-card {
    --bk-gr: #fff;
    --bk-gr1: #eee;

    --color: #000;
    --delta: 50%;

    margin-inline: auto;
    padding: 6.4rem;

    width: min(96rem, 95%);

    display: grid;
    place-items: center;
    gap: 2.4rem;

    background-color: var(--bk-gr);
    background: linear-gradient(
        135deg,
        var(--bk-gr),
        var(--bk-gr1)
    );

    border: 4px solid var(--bk-gr);
    border-radius: 2.4rem;

    position: relative;
    isolation: isolate;
    overflow: hidden;
}
.slide-card::before,
.slide-card::after {
    content: "";

    position: absolute;
    width: 19.5rem;
    aspect-ratio: 1;

    border-radius: 50%;
    opacity: 0.1;
    
    transition: transform 0.25s;
    z-index: -1;
}
.slide-card::before {
    background-color: #000;
    bottom: 0; left: 0;
    transform: translate(
        calc(-1 * var(--delta)),
        var(--delta)
    );
}
.slide-card::after {
    background-color: #fff;
    top: 0; right: 0;
    transform: translate(
        var(--delta),
        calc(-1 * var(--delta))
    );
}

.slide-card:is(:hover, :focus-within) {
    --delta: -10%;
}

.slide-card h2 {
    max-width: 25ch;
    font-size: 4.8rem;
    color: var(--color);
}
.slide-card p {
    max-width: 50ch;
    font-size: 2.4rem;
    line-height: 1.35;
    color: var(--color);
    text-align: center;
    opacity: 0.75;
}

.slide-card.-yellow {
    --bk-gr: var(--yellow);
    --bk-gr1: var(--yellowE5);

    & p {
        font-weight: 700;
    }
    & .color-btn.-black {
        --bk: var(--bk-gr);
    }
}
.slide-card.-yellow .neon-box {
    --c: var(--color);
    border: unset;
    & span {
        font-weight: 700;
    }
}

.slide-card ul {
    list-style: none;
    
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2.4rem;
}
.slide-card ul li {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
}
.slide-card ul li svg {
    color: #000;
    width: 20px;
    height: 20px;
}
.slide-card ul li span {
    color: #000;
    font-size: 1.4rem;
    font-weight: 700;
    opacity: 0.75;
}


@media (max-width: 1100px) {
    #location-kent .-main-box {
        grid-template-columns: 1fr;
    }
    #location-tacoma .-main-box {
        grid-template-columns: 1fr;
    }
    #location-tacoma .card-block {
        grid-column: auto;
    }
}